com.taosdata.jdbc.ws.entity

## Class QueryResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.CommonResp
    - - com.taosdata.jdbc.ws.entity.QueryResp

    public class QueryResp
    extends CommonResp

query result pojo

### Constructor Summary

Constructors
Constructor and Description
`QueryResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAffectedRows()`
`int` `getFieldsCount()`
`int[]` `getFieldsLengths()`
`String[]` `getFieldsNames()`
`int[]` `getFieldsTypes()`
`long` `getId()`
`int` `getPrecision()`
`boolean` `isUpdate()`
`void` `setAffectedRows(int affectedRows)`
`void` `setFieldsCount(int fieldsCount)`
`void` `setFieldsLengths(int[] fieldsLengths)`
`void` `setFieldsNames(String[] fieldsNames)`
`void` `setFieldsTypes(int[] fieldsTypes)`
`void` `setId(long id)`
`void` `setPrecision(int precision)`
`void` `setUpdate(boolean update)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.CommonResp

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryResp

    public QueryResp()

### Method Detail

#### getId

    public long getId()

#### setId

    public void setId(long id)

#### isUpdate

    public boolean isUpdate()

#### setUpdate

    public void setUpdate(boolean update)

#### getAffectedRows

    public int getAffectedRows()

#### setAffectedRows

    public void setAffectedRows(int affectedRows)

#### getFieldsCount

    public int getFieldsCount()

#### setFieldsCount

    public void setFieldsCount(int fieldsCount)

#### getFieldsNames

    public String[] getFieldsNames()

#### setFieldsNames

    public void setFieldsNames(String[] fieldsNames)

#### getFieldsTypes

    public int[] getFieldsTypes()

#### setFieldsTypes

    public void setFieldsTypes(int[] fieldsTypes)

#### getFieldsLengths

    public int[] getFieldsLengths()

#### setFieldsLengths

    public void setFieldsLengths(int[] fieldsLengths)

#### getPrecision

    public int getPrecision()

#### setPrecision

    public void setPrecision(int precision)